function QuickBars_SlashCommand()
    if (QuickBars_Options_Frame:IsShown()) then
        QuickBars_Options_Frame:Hide();
    else
        QuickBars_Options_Frame:Show();
    end
end

function QuickBars_Toggle_Show()
    local Cur_Bar = getglobal("QuickBar"..string.format("%d", QuickBars_ID));
    if (Cur_Bar:IsShown()) then
        Cur_Bar:Hide();
    else
        Cur_Bar:Show();
        QuickBars_Collapse(Cur_Bar);
    end
end

function QuickBars_onload(self)
    SLASH_QUICKBARS1 = "/quickbars";
    SLASH_QUICKBARS2 = "/qb";
    SlashCmdList["QUICKBARS"] = QuickBars_SlashCommand;

    self.Action_Button = {};
    
    self:SetAttribute("hide", 0);
    
    for i=1, 6 do
        self.Action_Button[i] = getglobal(self:GetName().."_Action"..string.format("%d",i));
    
        self.Action_Button[i]:SetAttribute("type1", "action");
        self.Action_Button[i]:SetAttribute("action", (self:GetID()-1)*6+i);
        
        SecureHandlerWrapScript(self.Action_Button[i], "OnClick", self, [[
            for i,button in ipairs(newtable(self:GetParent():GetChildren())) do
                button:Hide();
            end
        ]]);
    end
    
    self:SetAttribute("_onenter", [[
        for i,button in ipairs(newtable(self:GetChildren())) do
            button:Show();
        end 
    ]]);
    
    self:RegisterEvent("VARIABLES_LOADED");
end

function QuickBars_init(self)
    QuickBars_Update(self:GetID(self));
    if (QuickBars_Options.Show[self:GetID()] == false) then
        self:Hide();
	else
		self:Show();
        QuickBars_Collapse(self);
    end
end

function QuickBars_Expand(self)
    for i=1, 6 do
        self.Action_Button[i]:Show();
    end
end

function QuickBars_Collapse(self)
    for i=1, 6 do
        self.Action_Button[i]:Hide();
    end
end